Bug 3777 - Файл меню и типы MIME
: Файл меню и типы MIME
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xmms)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
: 7371
  Show dependency tree
 
Reported: 2004-03-02 17:53 by
Modified: 2007-11-10 18:47 (History)


Attachments
xmms.menu (old scheme) (408 bytes, text/plain)
2004-03-02 17:55, Dmitry Vukolov
no flags Details
xmms-mime-reg.tar.gz (2.25 KB, application/x-gzip)
2004-03-02 17:56, Dmitry Vukolov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-03-02 17:53:48
Прилагаю исправленный xmms.menu. По части mimetypes в файл меню включен
обновленный список типов, поддерживаемых пакетами xmms и xmms-in-vorbis;
xmms-in-mikmod опущен.

Однако хотелось бы довести до ума обсуждавшуюся идею мини-реестра типов MIME,
поддерживаемых установленными плагинами ввода, тем более, что осуществить её
несложно.

В качестве варианта предлагаю следующую схему:
1. Каталог /usr/share/xmms/mimetypes используется как место хранения информации
о типах MIME. Содержимое каталога представляет собой набор файлов, по одному от
каждого пакета, регистрирующего типы MIME. Названия файлов совпадают с
названиями пакетов, дабы исключить возможность конфликта. Внути файлов --
список
типов MIME, разделенных точкой с запятой ';' или запятой ','.
2. В базовый пакет добавляются:
    а) шаблон файла меню
    б) файл /usr/share/xmms/mimetypes/xmms с перечнем поддерживаемых типов MIME
    в) скрипт xmms-mkmenu.sh, генерирующий файл меню на основе шаблона и данных
каталога /usr/share/xmms/mimetypes
    г) макросы RPM, для удобства использования
3. В пакетах xmms-in-* появляются:
    а) файл /usr/share/xmms/mimetypes/%name
    б) вызовы макроса %xmms_update_mime в post и postun секциях

Прототип прилагается.
------- Comment #1 From 2004-03-02 17:55:31 -------
Created an attachment (id=354) [details]
xmms.menu (old scheme)
------- Comment #2 From 2004-03-02 17:56:36 -------
Created an attachment (id=355) [details]
xmms-mime-reg.tar.gz
------- Comment #3 From 2004-03-02 18:26:04 -------
Спасибо, сейчас!
------- Comment #4 From 2004-03-02 19:15:12 -------
"oldstyle" accepted for xmms-1.2.10-alt2; not closing the bug as it has more
things to discuss
------- Comment #6 From 2005-07-21 17:05:14 -------
Хорошо бы к 3.1 (sic) допинать до какого-то очередного состояния
MIME-хозяйство...
------- Comment #7 From 2006-12-17 22:28:27 -------
Стырил xmms.desktop из Gentoo и малость поправил...
------- Comment #8 From 2006-12-17 22:47:12 -------
fixed in 1.2.10-alt12